/*
 * Title: main_hw4_2.cpp
 * Abstract: divide-and-conquer to find the largest number in an array
 * Name: Keldin Maldonado 
 * Date: 10/03/2023
 */

#include <iostream>
#include <vector>

using namespace std;

int dnc(vector<int> &vec, int begin, int end) {
  if (begin == end) {
    return vec[begin];
  }
  
  int big1 = dnc(vec, begin, (begin + end) / 2);
  int big2 = dnc(vec, (begin + end) / 2 + 1, end);

  if (big1 > big2) {
    return big1;
  } else {
    return big2;
  }
}

int main() {
  int loop = 0;
  cin >> loop;

  vector<int> vec;
  for (int i = 0, j = 0; i < loop; i++) {
    cin >> j;
    vec.push_back(j);
  }

  cout << dnc(vec, 0, vec.size() - 1) << endl;
  return 0;
}